Subject: Re: [PATCH v4 1/6] t: move reftable/stack_test.c to the unit testing framework

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Sep 2024 11:42:45 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Thu, Sep 05, 2024 at 08:15:53PM +0530, Chandra Pratap wrote:
>
>> Should we get rid of reftable/test_framework.{c, h} as well?
>
> Ah, yeah. If it's not needed anymore we should remove it. I have a patch
> series pending anyway where I deduplicate some of the functionality that
> we have in multiple reftable tests now.

It is unclear if you are saying that Chandra should do the removal
as part of an updated version of this series, or you'll do the
removal with refactoring in a separate series and Chandra shouldn't
worry about it for now.

After reading your message three times, I am leaning to take it as
the latter.

Thanks.